{% extends "templates/web.html" %}
{% block title %}Calendriers : Stages / Ateliers Partagés / Vie Associative / Visites{% endblock %}
{% block header %}
<div class="mb-6" style="font-size: 1.1rem;">
	<ul class="calendrier-legende" style="list-style-type:none; margin: 0; padding: 0">
	Légende
	<li>
		<div class="fc-daygrid-event-dot" style="display: inline-block; border-color: #63bb93;"></div>
		<span class="fc-event-title">Ateliers Partagés</span>
	</li>
	<li>
		<div class="fc-daygrid-event-dot" style="display: inline-block; border-color: #dd6d2f;"></div>
		<span class="fc-event-title">Stages & Formations</span>
	</li>
	</ul>
	
</div>
{% endblock header %}

{% block head_include %}
<link rel="stylesheet" href="/assets/asv/fullcalendar/main.min.css">
<script src="/assets/asv/fullcalendar/main.min.js"></script>
<script>
	document.addEventListener('DOMContentLoaded', function() {
	  var calendarEl = document.getElementById('calendrier');
		var calendar = new FullCalendar.Calendar(calendarEl, {
			timeZone: 'Europe/Paris',
			initialView: 'listYear',
			listDayFormat: {
				weekday: 'long',
				day: 'numeric',
				month: 'long'
			},
			locale: 'fr',
			firstDay: 1,
			// initialDate: '2023-01-01', // A SUPPRIMER
			headerToolbar: {
				'start': 'timeGridWeek dayGridMonth listYear',
				'center': 'title',
				'end': 'today prev,next'
			},
			buttonText: {
				today:    "aujourd'hui",
				month:    'mois',
				week:     'semaine',
				day:      'jour',
				list:     'liste'
			},
		
			eventSources: [
				{
					events: function(info, successCallback, failureCallback) {
						frappe.call({
							method: 'asv.www.calendrier-stages.index.export_as_json_for_fullcalendar_events_model',
							args: {},
							freeze: false,
							async: true,
							callback: (r) => {
								successCallback(r.message)
							},
							error: (r) => {
								// on error
								failureCallback(r)
							}
						})
					},
					color: '#dd6d2f' 
				},
				{
					events: function(info, successCallback, failureCallback) {
						frappe.call({
							method: 'asv.www.calendrier-ateliers.index.export_as_json_for_fullcalendar_events_model',
							args: {},
							freeze: false,
							async: true,
							callback: (r) => {
								successCallback(r.message)
							},
							error: (r) => {
								// on error
								failureCallback(r)
							}
						})
					},
					color: '#63bb93',
				}
				
			]
	  });
	  calendar.render();
	});
</script>
{% endblock %}

{% block page_content %}

<div id="calendrier" style="margin-bottom: 40px;">
</div>

{% endblock %}

{% block script %}
{% endblock %}